Subject: bug#55544: deja-dup's Google support will break in September 2022 for versions < 43.3

From: "Michael Terry" <[email-masked]>
Date: Fri, 20 May 2022 10:49:11 -0400

Hello! I'm the upstream maintainer of Deja Dup. Google will be removing a particular oauth workflow that Deja Dup uses in September.

This means that any new authentications for users trying to connect Deja Dup to their Google account will fail after that date (existing users that have already authenticated themselves will continue to work).

If possible, updating to 43.3 will fix this. But for older releases (Guix is on 42.8 at time of writing, I believe), I recommend a backported patch.

Here's a wiki page for more information about the issue, including backported patches for older versions: https://wiki.gnome.org/Apps/DejaDup/GoogleAuthChange2022